#!/bin/sh

MCSV_PRODUCT_PATH=$1    

echo 'login inicio ------------------------------------------------'    
{ # try
  cd $MCSV_PRODUCT_PATH
  if [ ! -d /$MCSV_PRODUCT_PATH/modules/ ]; then
      mkdir modules
	  echo 'cria modules--------------------------------------------'   
  fi

  if [ ! -d /$MCSV_PRODUCT_PATH/modules/login/ ]; then
	echo 'copia login -__-------------------------------------------' 
    cd $MCSV_PRODUCT_PATH/modules
	cp -R /var/www/equipe_teste/php7-4/teknisa_teste/pme/modules/login ./login
  fi
} || { # catch
  echo 'Modules Login Error ----------------------------------------'
  exit 1
}

echo 'login FIM  -------------------------------------------------' 

echo 'acl inicio ------------------------------------------------'    
{ # try
  cd $MCSV_PRODUCT_PATH
  
  if [ ! -d /$MCSV_PRODUCT_PATH/modules/acl/ ]; then
	echo 'copia acl service -----------------------------------------' 
    cd $MCSV_PRODUCT_PATH/modules
	#cp -R /var/www/equipe_teste/php7-4/teknisa_teste/tecfood-next/modules/acl ./acl
    
	echo 'clona acl service -----------------------------------------' 
    git clone git@gitlab.teknisa.com:teknisa/acl-next.git acl
	cd acl
	git checkout PROD_6435_1.10.0
    
    cd backend
    composer install
    
    cd ../frontend
    export NPM_TOKEN="76f8066c-539b-47b8-8a76-4af6ceb8c20f"
    npm install
    npm install babel-loader
    
    grunt buildEnvironment:test
	cp ./src/config/prodEnvironment.json ./src/config/devEnvironment.json
    # sed -i "s|0.0.0|0.1.0|g" package.json
        
    cd ../backend/config
    sed -i "s|<>URI_SERVICE_NAME<>|service|g" environment.xml
    sed -i "s|<>FILE_SERVER_URL<>|@@FILE_SERVER_URL@@|g" configParams.xml
    sed -i "s|<>FILE_SERVER_KEY<>|@@FILE_SERVER_KEY_ACL@@|g" configParams.xml
    
  	cd ../../frontend
    npm run build
  fi
} || { # catch
  echo 'Modules acl Error ----------------------------------------'
  exit 1
}

echo 'acl FIM  -------------------------------------------------'
